iPhone or iPod touch, iOS 6 or higher